//
//  AiBrushPeripheralModel.h
//  AiBrushBleSDK
//
//  Created by iot_user on 2019/7/3.
//  Copyright © 2019 IOT. All rights reserved.
//

#import <Foundation/Foundation.h>
#import <CoreBluetooth/CoreBluetooth.h>

NS_ASSUME_NONNULL_BEGIN

@interface AiBrushPeripheralModel : NSObject

@property (nonatomic, assign) int productType;//Product category: 00,01,02~07(产品类别:00,01,02~07)
@property (nonatomic, assign) int year;
@property (nonatomic, assign) int month;
@property (nonatomic, assign) int day;
@property (nonatomic, copy) NSString *version; //Firmware version number 2.0(固件版本号2.0)
@property (nonatomic, assign) int vendorID;//Manufacturer ID
@property (nonatomic, assign) int classID;//Model number
@property (nonatomic, copy) NSString *macAddress;//MAC address
@property (nonatomic, strong) CBPeripheral *peripheral;
@property (nonatomic, assign) int rssi;
@property (nonatomic, copy) NSString *peripheralName;



@end

NS_ASSUME_NONNULL_END
