//
//  AppTool.m
//  AiBrushBleSDK
//
//  Created by iot_user on 2019/7/8.
//  Copyright © 2019 IOT. All rights reserved.
//

#import "AppTool.h"
#import "AppDelegate.h"

@implementation AppTool

+ (UIEdgeInsets)getKeyWindowSafeAreaInsets {
    
    UIEdgeInsets edge = UIEdgeInsetsZero;
    
    if (@available(iOS 11.0, *)) {
        edge = [UIApplication sharedApplication].keyWindow.safeAreaInsets; //iOS11以后刘海屏返回44
        if (edge.top == 0) {//ios11以后的非刘海屏返回20
            edge.top = 20;
        }
        
    } else {//ios11之前是没有刘海屏的，故直接返回20
        edge = UIEdgeInsetsMake(20, 0, 0, 0);
    }
    
    return edge;
}

@end
